//********************************************************************
//*** Exceptions/Exception.cc
//*** Copyright (c) 2001 by Markus Winand <mws@fatalmind.com>
//*** $Id: Exception.cc,v 1.10 2003-08-06 22:01:14 mws Exp $
//********************************************************************


#include <string>
#include "Exception.hh"

using namespace std;
namespace fatalmind {

static const char _general_message[] = "General Exception";

Exception::Exception(): _message(_general_message) {
}

Exception::Exception(const string& message): _message(message) {
}

Exception::~Exception() {
}

const string Exception::message() const throw() {
	return _message;
}

void Exception::setMessage(const std::string& message) {
	_message = message;
}

} // namespace
